KTextEditor::Editor Class Reference

`#include <editor.h>`

Inheritance diagram for KTextEditor::Editor:

## Public Member Functions

| Editor (QObject *parent=0, const char *name=0)
unsigned int | editorNumber () const
Public Member Functions inherited from KParts::ReadWritePart
| ReadWritePart (QObject *parent=0, const char *name=0)
bool | isReadWrite () const
virtual void | setReadWrite (bool readwrite=true)
bool | isModified () const
bool | queryClose ()
virtual bool | closeURL ()
bool | closeURL (bool promptToSave)
virtual bool | saveAs (const KURL &url)
virtual void | setModified (bool modified)
Public Member Functions inherited from KParts::ReadOnlyPart
| ReadOnlyPart (QObject *parent=0, const char *name=0)
void | setProgressInfoEnabled (bool show)
bool | isProgressInfoEnabled () const
KURL | url () const
bool | openStream (const QString &mimeType, const KURL &url)
bool | writeStream (const QByteArray &data)
bool | closeStream ()
Public Member Functions inherited from KParts::Part
| Part (QObject *parent=0, const char *name=0)
virtual void | embed (QWidget *parentWidget)
virtual QWidget * | widget ()
PartManager * | manager () const
virtual Part * | hitTest (QWidget *widget, const QPoint &globalPos)
virtual void | setSelectable (bool selectable)
bool | isSelectable () const

## Friends

class | PrivateEditor

## Additional Inherited Members

Public Slots inherited from KParts::ReadWritePart
virtual void | setModified ()
virtual bool | save ()
bool | waitSaveComplete ()
Public Slots inherited from KParts::ReadOnlyPart
virtual bool | openURL (const KURL &url)
Signals inherited from KParts::ReadWritePart
void | sigQueryClose (bool *handled, bool *abortClosing)
Signals inherited from KParts::ReadOnlyPart
void | started (KIO::Job *)
void | completed ()
void | completed (bool pendingAction)
void | canceled (const QString &errMsg)
Signals inherited from KParts::Part
void | setWindowCaption (const QString &caption)
void | setStatusBarText (const QString &text)
Protected Member Functions inherited from KParts::ReadWritePart
virtual bool | saveFile ()=0
virtual bool | saveToURL ()
Protected Member Functions inherited from KParts::ReadOnlyPart
virtual bool | openFile ()=0
virtual void | guiActivateEvent (GUIActivateEvent *event)
Protected Member Functions inherited from KParts::Part
virtual void | setWidget (QWidget *widget)
virtual void | partActivateEvent (PartActivateEvent *event)
virtual void | partSelectEvent (PartSelectEvent *event)
QWidget * | hostContainer (const QString &containerName)
Protected Attributes inherited from KParts::ReadOnlyPart
KURL | m_url
QString | m_file
bool | m_bTemp

## Detailed Description

This is a simplfied version of the Document & View classes Usage: Load it, merge it's gui + be happy Extensibility: Use the Document / View classes if you want advanced features, interfaces, etc.

This class is just a good text editor widget replacement for applications which just need an embedded text edtor and are not interested in using advanced interfaces.

Definition at line 39 of file editor.h.

## Constructor & Destructor Documentation

Editor::Editor | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a new editor widget.

Definition at line 194 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- editor.h
- ktexteditor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys